
##------------------------------------------------------------------
##
##  This makefile will build Asm XCMDs for HyperTalk
##
##  Copyright Apple Computer, Inc.  1991
##  All Rights Reserved.
##
##  NOTE:  This makefile is much simpler than the C and Pascal makefiles,
##	   because we don't have to play any games to place the entry point at
##	   the first byte of the file - we just write it that way in the
##	   asm source.
##

##  Builds:  ABeep

##  This makefile depends on a .r file called ABeep.r to act
##  as a source for the resource compiler.

TargetXCMD	= ABeep

TargetObjs	= ABeep.a.obj


#------------------------------------------------------------------
#
#  default options for the language processors.
#

AOptions	=	
POptions	=	-r -saddr
COptions	=
LOptions	=	-x
ROptions	=	-i "{MPW}Interfaces:RIIGSIncludes"

#------------------------------------------------------------------
#
#  default build rules.  Invokes language processors for source files.
#

.a.obj Ä .a
	asmiigs {aoptions} {default}.a -o {default}.a.obj

.p.obj Ä .p
	pascaliigs {poptions} {default}.p -o {default}.p.obj

.c.obj Ä .c
	ciigs {coptions} {default}.c -o {default}.c.obj



#------------------------------------------------------------------
#
#  main build rules
#

{TargetXCmd}	Ä	{TargetXCmd}.omf	{TargetXCmd}.r
	reziigs {TargetXCmd}.r {ROptions} -o {TargetXCmd}.rsrc
	duplicateiigs -r -y -m {targetXCmd}.rsrc {TargetXCmd}

{TargetXCmd}.omf	Ä	{TargetObjs}
	flush
	linkiigs {TargetObjs}			¶
		 {LOptions}			¶
		 -o {TargetXCmd}.omf

